-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local SmtpInterface = require 'mdb.bmc.kepler.EventService.Subscriptions.SmtpInterface'
local EmailInterface = require 'mdb.bmc.kepler.EventService.Subscriptions.Smtp.EmailInterface'

local childs = {}
local Smtp = {childs = childs}

local Mdb = require 'mc.mdb'

local TSmtp = Mdb.register_object('/bmc/kepler/EventService/Subscriptions/Smtp', {
    {name = 'Smtp', interface = SmtpInterface.Smtp},
    {name = 'Email', interface = EmailInterface.Email}
})
Smtp.Smtp = TSmtp

function TSmtp:ctor()
    self.path = '/bmc/kepler/EventService/Subscriptions/Smtp'
end

return Smtp
